import { OIDCSecretExchangeConfig } from './config';
import { FileSecretProvider } from './providers/FileProvider';
import { GitHubAppTokenProvider } from './providers/GitHubAppProvider';
import { SecretProvider } from './SecretProvider';
export declare const configureAndListen: (config: OIDCSecretExchangeConfig, port?: number) => Promise<void>;
export { FileSecretProvider, GitHubAppTokenProvider, SecretProvider };
