import { SecretProvider } from '../SecretProvider';
export declare class FileSecretProvider<T> extends SecretProvider<T> {
    private filePath;
    private getSecretsFromFileContent;
    constructor(filePath: string, getSecretsFromFileContent: (content: T) => Record<string, string>);
    loadableContentKey(): string;
    loadContent(): Promise<T>;
    provideSecrets(content: T): Promise<Record<string, string>>;
}
