import { RepoInfo, AuthNarrowing } from '@electron/github-app-auth';
import { SecretProvider } from '../SecretProvider';
export declare class GitHubAppTokenProvider extends SecretProvider<null> {
    private options;
    private secretName;
    constructor(options: {
        credsString: string;
        repo: RepoInfo;
        permissions: AuthNarrowing['permissions'];
    }, secretName?: string);
    loadableContentKey(): string;
    loadContent(): Promise<null>;
    provideSecrets(): Promise<Record<string, string>>;
}
